Bug 30632 - Configure NIC based on slot / MAC missing
Summary: Configure NIC based on slot / MAC missing
Status: CLOSED DEFERRED
Alias: None
Product: Red Hat Linux
Classification: Retired
Component: kernel-pcmcia-cs   
(Show other bugs)
Version: 7.1
Hardware: i386 Linux
medium
medium
Target Milestone: ---
Assignee: Preston Brown
QA Contact: Brock Organ
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2001-03-05 04:52 UTC by Scott Russell
Modified: 2007-04-18 16:31 UTC (History)
0 users

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2001-03-05 20:18:03 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

Description Scott Russell 2001-03-05 04:52:15 UTC
The /etc/pcmcia/network.opts file is missing and apparently doesn't work
correctly when present. (Is it even called?) I have a wireless network at
home and one at work. Depending on which slot the wirless device is in
(slot 0 or slot 1) I want to configure different settings for the interface
before I bring it up.

If there is a "Red Hat" way of doing this please let me know. (netcfg
doesn't seem to allow it either.) Also, if a Red Hat solution for this does
exist can it be documented for others?

My NIC is a Wavelan silver. The notebook is a ThinkPad T20. Distro is
Wolverine (7.1 RC1) using the stock kernel packages.

Comment 1 Preston Brown 2001-03-09 04:36:13 UTC
red hat linux currently does not offer this behaviour.  It is slated to be
included in some future release.

Comment 2 Scott Russell 2001-03-09 15:37:57 UTC
I cannot say how much this kinda blows. This behavior is standard in the kernel-
pcmcia init scripts and even provides a network.rh script for integration with 
Red Hat networking init scripts. It's really sad that Red Hat won't pick this 
up and instead continues to use the ugly /etc/pcmica/network script hack.


Note You need to log in before you can comment on or make changes to this bug.